---
- name: Remove Primary Proxy Server's access
  hosts: all
  become: yes
  gather_facts: no

  tasks:
    - name: Remove Primary from Authorized Keys
      become_user: jingrow
      authorized_key:
        user: jingrow
        key: "{{ primary_public_key }}"
        state: absent
